<div class="modal-header">
  <h4 class="modal-title">Export PDF</h4>
  <button type="button" class="btn" aria-label="Close" (click)="activeModal.dismiss('close')">
    <i class="bi bi-x-lg"></i>
  </button>
</div>
<div class="modal-body">
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="candidateManagement.filter.filterList">Filter list</label>
    <div>
      <ng-select [items]="filterList" bindLabel="name" bindValue="id" [(ngModel)]="filterListId" [clearable]="false"
        placeholder="{{'candidateManagement.filter.filterList' | translate}}"></ng-select>
    </div>
  </div>
  <div class="form-group">
    <label class="form-control-label" jhiTranslate="candidateManagement.dialog.numberOfCvs">Number of Cvs:</label>
    <div>
      <input type="number" [(ngModel)]="numberOfCvs" class="form-control" (ngModelChange)="handleValidate()"
        placeholder="{{'candidateManagement.dialog.numberOfCvs' | translate}}">
    </div>
    <div *ngIf="errorRequired">
      <small class="form-text text-danger" *ngIf="errorRequired" jhiTranslate="entity.validation.required">
        This field is required.
      </small>
    </div>
    <span>Choose number of CVs for all Candidate in PDF file</span>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn" (click)="activeModal.dismiss('close')">Cancel</button>
  <button type="button" class="btn btn-primary" (click)="onSubmit()" [disabled]="isDisableSubmit">Save</button>
</div>